/*-------------------------------------------------------------------------------------------------\
| Solarboy Solar Bike Controller Header File
|
| File:			BIKEPKT.H
|
| Description:	Contains the packet definitions for the solar bike telemetry system.
\-------------------------------------------------------------------------------------------------*/

#define	PKT_HEADER0			0xFE
#define	PKT_HEADER1			0xDC
#define	PKT_HEADER2			0xBA

#define	PKT_SATLOCK			0
#define	PKT_DAY				1
#define	PKT_HOURS			2
#define	PKT_MIN				3
#define	PKT_SEC				4
#define	PKT_LAT0				5
#define	PKT_LAT1				6
#define	PKT_LAT2				7
#define	PKT_LAT3				8
#define	PKT_LON0				9
#define	PKT_LON1				10
#define	PKT_LON2				11
#define	PKT_LON3				12
#define	PKT_HEIGHT0			13
#define	PKT_HEIGHT1			14
#define	PKT_GEOSEP			15
#define	PKT_GPSSPEED0		16
#define	PKT_GPSSPEED1		17	
#define	PKT_HEADING			18
#define	PKT_CLIMB			19
#define	PKT_EHPE				20
#define	PKT_EHVE				21

#define	PKT_ANCH0			22
#define	PKT_ANCH1			23
#define	PKT_ANCH2			24
#define	PKT_ANCH3			25
#define	PKT_ANCH_HIGH0		26
#define	PKT_ANCH4			27
#define	PKT_ANCH5			28
#define	PKT_ANCH6			29
#define	PKT_ANCH7			30
#define	PKT_ANCH_HIGH1		31

#define	PKT_DIGITAL			32

#define	PKT_AMPHR0			33
#define	PKT_AMPHR1			34
#define	PKT_AMPHR2			35
#define	PKT_BATTAMP0		36
#define	PKT_BATTAMP1		37
#define	PKT_MOTORAMP0		38
#define	PKT_MOTORAMP1		39

#define	PKT_SPEED			40
#define	PKT_CADENCE			41
#define	PKT_SPDCAD_HIGH	42

#define	PKT_CRC0				43
#define	PKT_CRC1				44




